Subject: Re: [PATCH] send-pack: don't send a thin pack when the server doesn't support it

From: Jonathan Nieder <[email-masked]>
Date: Tue, 8 Oct 2013 15:22:15 -0700

Duy Nguyen wrote:

> Or maybe it's not that late. How about you go with your patch and add
> thin-pack capability to receive-pack too?
>
> When new "git push" is used against old server, thin pack is disabled.
> But that's not a big deal (I hope).

Could we have separate patches to introduce the server-side capability
and then to request it in the client?  That way, people with old
servers can apply the patch introducing the capability if they want.

The new meaning of the "thin-pack" capability should also be
documented in Documentation/technical/protocol-capabilities.txt.

Done that way and with enough time between the server advertising the
capability and the client looking for it, it seems like a good idea.

My two cents,
Jonathan